package com.mx.cneeds.server.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mx.cneeds.common.pager.PageUtils;
import com.mx.cneeds.server.entity.SysUserRoleEntity;

import java.util.List;
import java.util.Map;

/**
 * 角色用户映射表
 *
 * @author Mark
 * @email sunlightcs@gmail.com
 * @date 2020-01-09 15:09:01
 */
public interface SysUserRoleService extends IService<SysUserRoleEntity> {

    PageUtils queryPage(Map<String, Object> params);

    /**
     * 根据用户ID，获取角色ID列表
     * @param userId
     */
    Long queryRoleId(Long userId);

    int deleteBatch(Long[] roleIds);

    void saveOrUpdate(Long userId, Long roleId);
}

